Subject: Re: bug#76394: mouse-face property not working in tab-bar

From: Ship Mints <[email-masked]>
Date: Fri, 28 Feb 2025 14:15:19 -0500

On Fri, Feb 28, 2025 at 2:08 PM Eli Zaretskii <[email-masked]> wrote:

>
> > My default c-basic-offset is 4.  .dir-locals.el is silent on that, so I
> get mine rather than yours.  Would you like
> > me to update .dir.locals.el?  I will put a locals-2 with the correction,
> at least that will get me started.
>
> .dir-locals.el sets the indentation style, but it doesn't attempt to
> override every customization variable whose value is determined by the
> style.
>

It mystifies me why the dir-locals style does not override my default
c-basic-offset.  I looked at the cc-mode manual and a bit at the code, and
there's no mention that I saw of a value-determination hierarchy where a
global might override a style setting.  If there are any cc-mode experts
out there, perhaps they can chime in.